Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationModelInstance Class Reference

変換モデルインスタンス More...

`#include <TranslationModelInstance.h>`

Inheritance diagram for LampForMaya::TranslationModelInstance:

List of all members.

## Public Member Functions
virtual | ~TranslationModelInstance ()
| デストラクタ
virtual bool | convertToLamp (Scene *scene)
| Lampへの変換.
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)
| アニメーションの変換
virtual bool | isTranslationModelInstance () const
| 変換モデルインスタンスかどうか
## Protected Member Functions
| TranslationModelInstance (const MDagPath &initializePath, const String &initializeName)
| コンストラクタ
## Protected Attributes
Model * | source_
| コピー元
Model * | destination_
| コピー先
## Friends
class | TranslationInstanceManager

## Detailed Description

変換モデルインスタンス

Definition at line 40 of file TranslationModelInstance.h.

## Constructor & Destructor Documentation

LampForMaya::TranslationModelInstance::TranslationModelInstance | ( | const MDagPath & | initializePath,
|  | const String & | initializeName
| ) | `[protected]`

  | コンストラクタ Parameters:
  initializePath | 初期化するDagパス
  initializeName | 初期化する名前
Definition at line 34 of file TranslationModelInstance.cpp.

## Member Function Documentation

bool LampForMaya::TranslationModelInstance::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Implements LampForMaya::TranslationInstance. Definition at line 76 of file TranslationModelInstance.cpp. References LampForMaya::TranslationInstance::convertSceneLeafAnimation(), destination_, and source_.

bool LampForMaya::TranslationModelInstance::convertToLamp | ( | Scene * | scene | ) | `[virtual]`

  | Lampへの変換. Parameters:
  scene | シーン
Returns: 成功すればtrue Implements LampForMaya::TranslationInstance. Definition at line 45 of file TranslationModelInstance.cpp. References destination_, MayaErrorOut, LampForMaya::TranslationInstance::name_, LampForMaya::TranslationInstance::parentSceneNodeName_, source_, and LampForMaya::TranslationInstance::visibility_.

virtual bool LampForMaya::TranslationModelInstance::isTranslationModelInstance | ( |  | ) | const`[inline, virtual]`

| 変換モデルインスタンスかどうか Returns: 変換モデルインスタンスならtrue Reimplemented from LampForMaya::TranslationInstance. Definition at line 72 of file TranslationModelInstance.h.

The documentation for this class was generated from the following files:

- TranslationModelInstance.h
- TranslationModelInstance.cpp